<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml" indent="no"/>
	<xsl:strip-space elements="*"/>
	
	<xsl:template match="*">
	<xsl:if test="/OMA/OSLogFilter/SMStatus">
	  <xsl:choose>
		<xsl:when test="/OMA/OSLogFilter/SMStatus='0'"><xsl:call-template name="success_OSlogfilter"/></xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="failure">				
				<xsl:with-param name="ErrorMsgID"><xsl:value-of select="/OMA/OSLogFilter/SMStatus"/></xsl:with-param>
			</xsl:call-template>					
		</xsl:otherwise>
	  </xsl:choose>
	</xsl:if>
	
	<xsl:if test="/OMA/ArchiveHWLog/SMStatus">
	  <xsl:choose>
	    <xsl:when test="/OMA/ArchiveHWLog/SMStatus='0' and /OMA/ArchiveHWLog/Is11GorBelow='1'"><xsl:call-template name="success_ArchiveHWLog"/></xsl:when>
	    <xsl:otherwise>
			<xsl:call-template name="failure">				
				<xsl:with-param name="ErrorMsgID"><xsl:value-of select="/OMA/ArchiveHWLog/Is11GorBelow"/></xsl:with-param>
			</xsl:call-template>					
		</xsl:otherwise> 
	  </xsl:choose>
	</xsl:if>

    <xsl:if test="/OMA/LogAllSensorEvents/SMStatus">
      <xsl:choose>
        <xsl:when test="/OMA/LogAllSensorEvents/SMStatus='0'">
          <xsl:call-template name="success_LogAllSensorEvents"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="failure">
            <xsl:with-param name="ErrorMsgID">
              <xsl:value-of select="/OMA/LogAllSensorEvents/SMStatus"/>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    
	</xsl:template>

	<xsl:template name="failure">
		<xsl:param name="ErrorMsgID" />
		<DataArea>					 	
			<xsl:choose>		  
				<xsl:when test="$ErrorMsgID = '1400' "><xsl:text>Error! OS Logging Component is not installed.</xsl:text> </xsl:when>
				<xsl:when test="$ErrorMsgID = '0' "><xsl:text>Error! This feature is only applicable for 11th generation PowerEdge servers or earlier.</xsl:text> </xsl:when>
				<xsl:otherwise><xsl:text>Error occured!</xsl:text></xsl:otherwise>
			</xsl:choose>	
			<xsl:call-template name="NewLine"/>
		</DataArea>	
	</xsl:template>
	
	<xsl:template name="NewLine">
		<xsl:text>
		</xsl:text>
	</xsl:template>
	
	<xsl:template name="success_OSlogfilter">
		<DataArea>			
			<ListData>								
				<Data>
					<xsl:attribute name="display">Log Critical</xsl:attribute>	
					<xsl:attribute name="value">	
						<xsl:choose>
							<xsl:when test=" /OMA/OSLogFilter/LogCritical='1' ">true</xsl:when>	
							<xsl:otherwise>false</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>			
				</Data>						
				<Data>
					<xsl:attribute name="display">Log Warning</xsl:attribute>		
					<xsl:attribute name="value">	
						<xsl:choose>
							<xsl:when test=" /OMA/OSLogFilter/LogWarning='1' ">true</xsl:when>	
							<xsl:otherwise>false</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>			
				</Data>
				<Data>
					<xsl:attribute name="display">Log Informational</xsl:attribute>		
					<xsl:attribute name="value">	
						<xsl:choose>
							<xsl:when test=" /OMA/OSLogFilter/LogInformational='1' ">true</xsl:when>	
							<xsl:otherwise>false</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>			
				</Data>
			</ListData>		
		</DataArea>
	</xsl:template>
	
	<xsl:template name="success_ArchiveHWLog">
		<DataArea>			
			<ListData>								
				<Data>
					<xsl:attribute name="display">ArchiveHWLog</xsl:attribute>	
					<xsl:attribute name="value">	
						<xsl:choose>
							<xsl:when test=" /OMA/ArchiveHWLog/AutoArchiveHWLogFilter='1' ">Enabled</xsl:when>	
							<xsl:otherwise>Disabled</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>			
				</Data>						
			</ListData>		
		</DataArea>
	</xsl:template>

  <xsl:template name="success_LogAllSensorEvents">
    <DataArea>
      <ListData>
        <Data>
          <xsl:attribute name="display">Log All ESM Sensor Events</xsl:attribute>
          <xsl:attribute name="value">
            <xsl:choose>
              <xsl:when test=" /OMA/LogAllSensorEvents/Enable='1' ">Enabled</xsl:when>
              <xsl:otherwise>Disabled</xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
        </Data>
      </ListData>
    </DataArea>
  </xsl:template>


</xsl:stylesheet>
